| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
FlutterTextPosition Class Reference

`#import <FlutterTextInputPlugin.h>`

Inheritance diagram for FlutterTextPosition:

## Instance Methods
(instancetype) | - initWithIndex:affinity:

## Class Methods
(instancetype) | + positionWithIndex:
(instancetype) | + positionWithIndex:affinity:

## Properties
NSUInteger | index
UITextStorageDirection | affinity

## Detailed Description

An indexed position in the buffer of a Flutter text editing widget.

Definition at line 69 of file FlutterTextInputPlugin.h.

## Method Documentation

## ◆ initWithIndex:affinity:

- (instancetype) initWithIndex: |  | (NSUInteger) | index
affinity: |  | (UITextStorageDirection) | affinity

Definition at line 527 of file FlutterTextInputPlugin.mm.

527 :(NSUInteger)index affinity:(UITextStorageDirection)affinity {
528 self = [super init];
529 if (self) {
530 _index = index;
531 _affinity = affinity;
532 }
533 return self;
534 }

References affinity, and index.

## ◆ positionWithIndex:

+ (instancetype) positionWithIndex: |  | (NSUInteger) | index |

Definition at line 519 of file FlutterTextInputPlugin.mm.

519 :(NSUInteger)index {
520 return [[FlutterTextPosition alloc] initWithIndex:index affinity:UITextStorageDirectionForward];
521 }

## ◆ positionWithIndex:affinity:

+ (instancetype) positionWithIndex: |  | (NSUInteger) | index
affinity: |  | (UITextStorageDirection) | affinity

Definition at line 523 of file FlutterTextInputPlugin.mm.

523 :(NSUInteger)index affinity:(UITextStorageDirection)affinity {
524 return [[FlutterTextPosition alloc] initWithIndex:index affinity:affinity];
525 }

## Property Documentation

## ◆ affinity

- (UITextStorageDirection) affinity
| readnonatomicassign

Definition at line 72 of file FlutterTextInputPlugin.h.

Referenced by initWithIndex:affinity:.

## ◆ index

- (NSUInteger) index
| readnonatomicassign

Definition at line 71 of file FlutterTextInputPlugin.h.

Referenced by initWithIndex:affinity:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h
- shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.mm

FlutterTextPosition::affinity
UITextStorageDirection affinity
Definition: FlutterTextInputPlugin.h:72
FlutterTextPosition
Definition: FlutterTextInputPlugin.h:69
FlutterTextPosition::index
NSUInteger index
Definition: FlutterTextInputPlugin.h:71